Subject: bug#22553: 24.5; enriched-mode: Formatting changes immediately before <RET> are lost

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Aug 2019 15:13:28 +0200

Travis Evans <[email-masked]> writes:

> While typing text in Enriched Text mode, if a face property is changed
> but RET immediately follows, the change is not applied to the
> subsequently entered text.
>
> From ‘emacs -Q’:
> C-x b newbuffer M-x enriched-mode M-o u Test M-o d <RET>
>
> Text typed after this should no longer be underlined, but it is. The
> underlining does stop if C-j is used in place of RET, but it doesn't
> seem that this would be very intuitive for a new user.

(I'm going through old bug reports that have unfortunately not gotten
any responses.)

I tried this in Emacs 27, and things now seem to work as expected, and I
see there's been work done to enriched.el in the meantime, so I'm
closing this bug report.  If you're still seeing this, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no